Skip to main content
GET https://api.speccheckrx.com/v1/catalogs/styles

Authentication

This endpoint requires bearer token authentication.

Headers

Authorization
string
required
Your bearer token in the format Bearer <token>.
User-Email
string
required
The email address of the user making the request.Must exactly match the email address used to log in to the SpecCheck Dashboard.

Parameters

lab
string
required
The ID of the lab for this request.
account_number
string
required
The lab account number for this request.
lens_type
string
required
The type of lens. One of single_vision or multifocal.

Returns

Returns an object with a data array of lens styles. If there are no matching styles, data is an empty array.
data
array of Lens Style Object
{
  "data": [
    {
      "id": "style_123",
      "name": "Single Vision"
    }
  ]
}
curl "https://api.speccheckrx.com/v1/catalogs/styles?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&lens_type=single_vision" \
  -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
  -H "User-Email: {{USER_EMAIL}}"